# Uses of Enum Class
net.shibboleth.idp.plugin.authn.webauthn.policy.CredentialPolicy.CredentialPolicyOutcome

Packages that use CredentialPolicy.CredentialPolicyOutcome
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.policy
This package contains the APIs for authentication policies.
net.shibboleth.idp.plugin.authn.webauthn.policy.impl
This package has authentication policy implementations.

## Uses of CredentialPolicy.CredentialPolicyOutcome in net.shibboleth.idp.plugin.authn.webauthn.policy

Methods in net.shibboleth.idp.plugin.authn.webauthn.policy that return CredentialPolicy.CredentialPolicyOutcome
Modifier and Type
Method
Description
`CredentialPolicy.CredentialPolicyOutcome`
CredentialPolicy.`evaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc)`
Execute the policy.
`static CredentialPolicy.CredentialPolicyOutcome`
CredentialPolicy.CredentialPolicyOutcome.`of(boolean outcome)`
Helper method to create an `CredentialPolicy.CredentialPolicyOutcome` from a boolean flag.
`static CredentialPolicy.CredentialPolicyOutcome`
CredentialPolicy.CredentialPolicyOutcome.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CredentialPolicy.CredentialPolicyOutcome[]`
CredentialPolicy.CredentialPolicyOutcome.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CredentialPolicy.CredentialPolicyOutcome in net.shibboleth.idp.plugin.authn.webauthn.policy.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type parameters of type CredentialPolicy.CredentialPolicyOutcome
Modifier and Type
Field
Description
`private BiFunction<EnhancedCredentialRecord,FunctionalRuleContext,CredentialPolicy.CredentialPolicyOutcome>`
FunctionalCredentialPolicyRule.`rule`
The function to run.
Methods in net.shibboleth.idp.plugin.authn.webauthn.policy.impl that return CredentialPolicy.CredentialPolicyOutcome
Modifier and Type
Method
Description
`protected abstract CredentialPolicy.CredentialPolicyOutcome`
AbstractCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`protected CredentialPolicy.CredentialPolicyOutcome`
ChainingCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`protected CredentialPolicy.CredentialPolicyOutcome`
FunctionalCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`CredentialPolicy.CredentialPolicyOutcome`
SecondFactorOnlyCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`CredentialPolicy.CredentialPolicyOutcome`
AbstractCredentialPolicyRule.`evaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc)`
Execute the policy.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type arguments of type CredentialPolicy.CredentialPolicyOutcome
Modifier and Type
Method
Description
`void`
FunctionalCredentialPolicyRule.`setRule(BiFunction<EnhancedCredentialRecord,FunctionalRuleContext,CredentialPolicy.CredentialPolicyOutcome> function)`
Set the policy function to run.